Continue Chat

PATCH
PATCHhttps://api.hyperleapai.com/conversations/{conversationId}/chat

Send a user message and continue an existing Conversation. Full response will be sent at once (not recommended especially for longer responses).

Authenticated with your API key in the x-hl-api-key request header.

Path parameters

conversationIdstring · uuidrequired

Query parameters

streambooleanoptionaldefault true

Request body

application/json
messagestringrequired

Responses

200OKapplication/json
idstringnullable
objectstringnullable
GenAiUsage
prompt_tokensinteger · int32
completion_tokensinteger · int32
total_tokensinteger · int32read-only
createdinteger · int64nullable
GenAiChatChoice[]nullable
finish_reasonstringnullable
indexinteger · int32
GenAiChatMessage
GenAiContentModerationResult
messageIdstring · uuid
runIdstring · uuidnullable
httpRequestIdstring · uuid
Citation[]nullable
linkstringnullable
indexstringnullable
documentIdstringnullable
fileIdstringnullable
sourceContentTypestringnullable
sourceNamestringnullable
sourceUrlstringnullable
Partition[]nullable
GenAiContentModerationResult
GenAiContentModerationCategoryResult[]nullableread-only
Example payload
{
  "id": "string",
  "object": "string",
  "usage": {
    "prompt_tokens": 0,
    "completion_tokens": 0,
    "total_tokens": 0
  },
  "created": 0,
  "choices": [
    {
      "finish_reason": "string",
      "index": 0,
      "message": {
        "role": "string",
        "content": "string",
        "toolCallId": "string",
        "name": "string"
      },
      "moderation_results": {
        "categoryResults": []
      }
    }
  ],
  "messageId": "string",
  "runId": "string",
  "httpRequestId": "string",
  "citations": [
    {
      "link": "string",
      "index": "string",
      "documentId": "string",
      "fileId": "string",
      "sourceContentType": "string",
      "sourceName": "string",
      "sourceUrl": "string",
      "partitions": [
        {
          "text": null,
          "tags": null
        }
      ]
    }
  ],
  "prompt_moderations": {
    "categoryResults": [
      {
        "category": "string",
        "filtered": true,
        "severity": "string"
      }
    ]
  }
}
400Bad Requestapplication/json

Array of ModelError

Exception
MethodBase
messageanytruncated
dataanytruncated
innerExceptionanytruncated
helpLinkanytruncated
sourceanytruncated
hResultanytruncated
stackTraceanytruncated
errorMessageanytruncated
Example payload
[
  {
    "exception": {
      "targetSite": {
        "memberType": 1,
        "name": "string",
        "declaringType": {
          "name": null,
          "customAttributes": null,
          "namespace": null,
          "assemblyQualifiedName": null,
          "fullName": null
        }
      }
    }
  }
]
500Internal Server Error

No response body.

curl -X PATCH "https://api.hyperleapai.com/conversations/{conversationId}/chat?stream=true" \
  -H "x-hl-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "message": "string"
}'
Example response · 200
{
  "id": "string",
  "object": "string",
  "usage": {
    "prompt_tokens": 0,
    "completion_tokens": 0,
    "total_tokens": 0
  },
  "created": 0,
  "choices": [
    {
      "finish_reason": "string",
      "index": 0,
      "message": {
        "role": "string",
        "content": "string",
        "toolCallId": "string",
        "name": "string"
      },
      "moderation_results": {
        "categoryResults": []
      }
    }
  ],
  "messageId": "string",
  "runId": "string",
  "httpRequestId": "string",
  "citations": [
    {
      "link": "string",
      "index": "string",
      "documentId": "string",
      "fileId": "string",
      "sourceContentType": "string",
      "sourceName": "string",
      "sourceUrl": "string",
      "partitions": [
        {
          "text": null,
          "tags": null
        }
      ]
    }
  ],
  "prompt_moderations": {
    "categoryResults": [
      {
        "category": "string",
        "filtered": true,
        "severity": "string"
      }
    ]
  }
}

Explore Hyperleap AI

AI customer service agents that answer FAQs, capture leads, and book appointments across Website, WhatsApp, Instagram, and Facebook Messenger.